<?php

namespace Dedi\Contracts\SyliusPluginSettings;

interface SettingsProviderRegistryInterface
{
    public function getAll(): array;

    public function register(SettingsProviderInterface $settingsProvider): void;

    public function get(string $pluginName): SettingsProviderInterface;
}
